| Home | Libraries | People | FAQ | More

### windows::overlapped_ptr

Wraps a handler to create an OVERLAPPED object for use with overlapped I/O.

    class overlapped_ptr :
      noncopyable

##### Member Functions

Name | Description
--- | ---
complete | Post completion notification for overlapped operation. Releases ownership.
get | Get the contained OVERLAPPED object.
overlapped_ptr | Construct an empty overlapped_ptr.
release | Release ownership of the OVERLAPPED object.
reset | Reset to empty.
~overlapped_ptr | Destructor automatically frees the OVERLAPPED object unless released.

A special-purpose smart pointer used to wrap an application handler so that it can be passed as the LPOVERLAPPED argument to overlapped I/O functions.

##### Thread Safety

Distinct objects: Safe.

Shared objects: Unsafe.